<?xml version='1.0' encoding='UTF-8'?>

<feature-pack xmlns="urn:wildfly:feature-pack:1.1">
    <dependencies>
        <artifact name="org.wildfly:wildfly-feature-pack"/>
    </dependencies>
    <artifact-versions>
        <artifact groupId="aopalliance" artifactId="aopalliance" version="1.0"/>
        <artifact groupId="com.google.inject" artifactId="guice" version="4.0" classifier="no_aop"/>
        <artifact groupId="com.google.inject.extensions" artifactId="guice-servlet" version="4.0"/>
        <artifact groupId="com.google.zxing" artifactId="core" version="3.2.1"/>
        <artifact groupId="com.google.zxing" artifactId="javase" version="3.2.1"/>
        <artifact groupId="com.googlecode.owasp-java-html-sanitizer" artifactId="owasp-java-html-sanitizer" version="20180219.1"/>
        <artifact groupId="com.thoughtworks.xstream" artifactId="xstream" version="1.4.10"/>
        <artifact groupId="org.aesh" artifactId="aesh" version="1.7"/>
        <artifact groupId="org.antlr" artifactId="antlr-runtime" version="3.5.2"/>
        <artifact groupId="org.apache.ant" artifactId="ant" version="1.8.4"/>
        <artifact groupId="org.apache.ant" artifactId="ant-launcher" version="1.8.4"/>
        <artifact groupId="org.apache.maven" artifactId="maven-aether-provider" version="3.3.9"/>
        <artifact groupId="org.apache.maven" artifactId="maven-artifact" version="3.3.9"/>
        <artifact groupId="org.apache.maven" artifactId="maven-builder-support" version="3.3.9"/>
        <artifact groupId="org.apache.maven" artifactId="maven-compat" version="3.3.9"/>
        <artifact groupId="org.apache.maven" artifactId="maven-core" version="3.3.9"/>
        <artifact groupId="org.apache.maven" artifactId="maven-model" version="3.3.9"/>
        <artifact groupId="org.apache.maven" artifactId="maven-model-builder" version="3.3.9"/>
        <artifact groupId="org.apache.maven" artifactId="maven-plugin-api" version="3.3.9"/>
        <artifact groupId="org.apache.maven" artifactId="maven-repository-metadata" version="3.3.9"/>
        <artifact groupId="org.apache.maven" artifactId="maven-settings" version="3.3.9"/>
        <artifact groupId="org.apache.maven" artifactId="maven-settings-builder" version="3.3.9"/>
        <artifact groupId="org.apache.maven.wagon" artifactId="wagon-http" version="3.0.0"/>
        <artifact groupId="org.apache.maven.wagon" artifactId="wagon-http-shared" version="3.0.0"/>
        <artifact groupId="org.apache.maven.wagon" artifactId="wagon-provider-api" version="3.0.0"/>
        <artifact groupId="org.codehaus.plexus" artifactId="plexus-classworlds" version="2.5.2"/>
        <artifact groupId="org.codehaus.plexus" artifactId="plexus-component-annotations" version="1.6"/>
        <artifact groupId="org.codehaus.plexus" artifactId="plexus-interpolation" version="1.21"/>
        <artifact groupId="org.codehaus.plexus" artifactId="plexus-utils" version="3.0.22"/>
        <artifact groupId="org.drools" artifactId="drools-compiler" version="7.11.0.Final"/>
        <artifact groupId="org.drools" artifactId="drools-core" version="7.11.0.Final"/>
        <artifact groupId="org.eclipse.aether" artifactId="aether-api" version="1.1.0"/>
        <artifact groupId="org.eclipse.aether" artifactId="aether-connector-basic" version="1.1.0"/>
        <artifact groupId="org.eclipse.aether" artifactId="aether-impl" version="1.1.0"/>
        <artifact groupId="org.eclipse.aether" artifactId="aether-spi" version="1.1.0"/>
        <artifact groupId="org.eclipse.aether" artifactId="aether-transport-file" version="1.1.0"/>
        <artifact groupId="org.eclipse.aether" artifactId="aether-transport-http" version="1.1.0"/>
        <artifact groupId="org.eclipse.aether" artifactId="aether-transport-wagon" version="1.1.0"/>
        <artifact groupId="org.eclipse.aether" artifactId="aether-util" version="1.1.0"/>
        <artifact groupId="org.eclipse.sisu" artifactId="org.eclipse.sisu.inject" version="0.3.2"/>
        <artifact groupId="org.eclipse.sisu" artifactId="org.eclipse.sisu.plexus" version="0.3.2"/>
        <artifact groupId="org.freemarker" artifactId="freemarker" version="2.3.26-incubating"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-authz-policy-common" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-authz-policy-drools" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-common" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-core" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-js-adapter" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-kerberos-federation" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-ldap-federation" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-model-infinispan" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-model-jpa" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-saml-core" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-saml-core-public" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-server-spi" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-server-spi-private" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-services" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-sssd-federation" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-wildfly-adduser" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-wildfly-extensions" version="4.6.0.Final"/>
        <artifact groupId="org.keycloak" artifactId="keycloak-wildfly-server-subsystem" version="4.6.0.Final"/>
        <artifact groupId="org.kie" artifactId="kie-api" version="7.11.0.Final"/>
        <artifact groupId="org.kie" artifactId="kie-ci" version="7.11.0.Final"/>
        <artifact groupId="org.kie" artifactId="kie-internal" version="7.11.0.Final"/>
        <artifact groupId="org.kie.soup" artifactId="kie-soup-commons" version="7.11.0.Final"/>
        <artifact groupId="org.kie.soup" artifactId="kie-soup-maven-integration" version="7.11.0.Final"/>
        <artifact groupId="org.kie.soup" artifactId="kie-soup-maven-support" version="7.11.0.Final"/>
        <artifact groupId="org.kie.soup" artifactId="kie-soup-project-datamodel-commons" version="7.11.0.Final"/>
        <artifact groupId="org.liquibase" artifactId="liquibase-core" version="3.5.5"/>
        <artifact groupId="org.mvel" artifactId="mvel2" version="2.4.0.Final"/>
        <artifact groupId="org.sonatype.plexus" artifactId="plexus-cipher" version="1.7"/>
        <artifact groupId="org.sonatype.plexus" artifactId="plexus-sec-dispatcher" version="1.3"/>
        <artifact groupId="org.twitter4j" artifactId="twitter4j-core" version="4.0.4"/>
        <artifact groupId="org.wildfly" artifactId="wildfly-feature-pack" version="14.0.1.Final" extension="zip"/>
    </artifact-versions>
    <config>
        <standalone template="configuration/standalone/template.xml" subsystems="configuration/standalone/subsystems.xml" output-file="standalone/configuration/standalone.xml"/>
        <standalone template="configuration/standalone/template.xml" subsystems="configuration/standalone/subsystems-ha.xml" output-file="standalone/configuration/standalone-ha.xml">
            <property name="jgroups.supplement" value=""/>
        </standalone>
        <domain template="configuration/domain/template.xml" subsystems="configuration/domain/subsystems.xml" output-file="domain/configuration/domain.xml"/>
        <host template="configuration/host/host.xml" subsystems="configuration/host/subsystems.xml" output-file="domain/configuration/host.xml"/>
        <host template="configuration/host/host-master.xml" subsystems="configuration/host/subsystems.xml" output-file="domain/configuration/host-master.xml"/>
        <host template="configuration/host/host-slave.xml" subsystems="configuration/host/subsystems.xml" output-file="domain/configuration/host-slave.xml"/>
    </config>
    <file-permissions>
        <permission value="755">
            <filter pattern="*.sh" include="true"/>
            <filter pattern="*" include="false"/>
        </permission>
        <permission value="700">
            <filter pattern="*/tmp/auth" include="true"/>
            <filter pattern="*" include="false"/>
        </permission>
        <permission value="600">
            <filter pattern="*-users.properties" include="true"/>
            <filter pattern="*/.installation" include="true"/>
            <filter pattern="*" include="false"/>
        </permission>
    </file-permissions>
</feature-pack>
